Subject: Re: [RFC/PATCH] branch: name detached HEAD analogous to status

From: Marc Branchaud <[email-masked]>
Date: Mon, 23 Feb 2015 12:23:11 -0500

On 15-02-23 11:24 AM, Michael J Gruber wrote:
> Marc Branchaud venit, vidit, dixit 23.02.2015 16:12:
>> On 15-02-22 12:38 PM, Michael J Gruber wrote:
>>> "git status" carefully names a detached HEAD "at" resp. "from" a rev or
>>> ref depending on whether the detached HEAD has moved since. "git branch"
>>> always uses "from", which can be confusing, because a status-aware user
>>> would interpret this as moved detached HEAD.
>>>
>>> Make "git branch" use the same logic and wording.
>>
>> Except that the wording in "git branch" is more correct, especially if the
>> detached HEAD contains new commits.
>>
>> In other words, "at" is only correct if the detached HEAD matches the ref.
>> If the HEAD has other commits, it is no longer "at" that ref but instead it
>> has grown "from" it.
> 
> Sure, but that's exactly what git status does. Haven't you tried out?
> 
> And it's exactly what I suggest for git branch. It conveys more information.

Oops, right.  Sorry, I got blinded by the various "detached at" examples in
your patch's notes.

		M.